Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface ConfigurableFileCollection

    org.gradle.api.Buildable
      org.gradle.api.tasks.AntBuilderAware
          org.gradle.api.file.ConfigurableFileCollection
              org.gradle.api.file.FileCollection

All Superinterfaces:
  Buildable, AntBuilderAware, FileCollection

    public interface ConfigurableFileCollection
    extends FileCollection

A `ConfigurableFileCollection` is a mutable `FileCollection`.

You can obtain an instance of `ConfigurableFileCollection` by calling Project.files

Method Summary
`ConfigurableFileCollection` | `builtBy(Object... tasks)` Registers some tasks which build the files of this collection.
`ConfigurableFileCollection` | `from(Object... paths)` Adds a set of source paths to this collection.
`Set` | `getBuiltBy()` Returns the set of tasks which build the files of this collection.
`Set` | `getFrom()` Returns the set of source paths for this collection.
`ConfigurableFileCollection` | `setBuiltBy(Iterable tasks)` Sets the tasks which build the files of this collection.
`void` | `setFrom(Iterable paths)` Sets the source paths for this collection.
`void` | `setFrom(Object... paths)` Sets the source paths for this collection.

Methods inherited from interface FileCollection
add, addToAntBuilder, addToAntBuilder, asType, contains, filter, filter, getAsFileTree, getAsPath, getFiles, getSingleFile, isEmpty, minus, plus, stopExecutionIfEmpty

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface AntBuilderAware
addToAntBuilder

Methods inherited from interface Iterable
iterator

Method Detail

### builtBy

    public ConfigurableFileCollection builtBy(Object... tasks)

  Registers some tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as per Task.dependsOn.
  Returns:
    this

### from

    public ConfigurableFileCollection from(Object... paths)

  Adds a set of source paths to this collection. The given paths are evaluated as per Project.files.
  Parameters:
    `paths` - The files to add.
  Returns:
    this

### getBuiltBy

    public Set getBuiltBy()

  Returns the set of tasks which build the files of this collection.
  Returns:
    The set. Returns an empty set when there are no such tasks.

### getFrom

    public Set getFrom()

  Returns the set of source paths for this collection. The paths are evaluated as per Project.files.
  Returns:
    The set of source paths. Returns an empty set if none.

### setBuiltBy

    public ConfigurableFileCollection setBuiltBy(Iterable tasks)

  Sets the tasks which build the files of this collection.
  Parameters:
    `tasks` - The tasks. These are evaluated as per Task.dependsOn.
  Returns:
    this

### setFrom

    public void setFrom(Iterable paths)

  Sets the source paths for this collection. The given paths are evaluated as per Project.files.
  Parameters:
    `paths` - The paths.

### setFrom

    public void setFrom(Object... paths)

  Sets the source paths for this collection. The given paths are evaluated as per Project.files.
  Parameters:
    `paths` - The paths.

Gradle API 1.10